## ocaml-sedlex 1.99.4

=== Makefile ===
# The package sedlex is released under the terms of an MIT-like license.
# See the attached LICENSE file.
# Copyright 2005, 2013 by Alain Frisch and LexiFi.

include $(shell ocamlc -where)/Makefile.config

VERSION=1.99.2
# Don't forget to change META file as well

.PHONY: all opt clean test install package

all:
	(cd src/lib && $(MAKE) all doc)
	(cd src/syntax && $(MAKE) all)

opt:
	(cd src/syntax && $(MAKE) opt)
	(cd src/lib && $(MAKE) opt)

clean:
	rm -f *~ *.cm* *.a *.lib *.o *.obj
	(cd src/lib && $(MAKE) clean)
	(cd src/syntax && $(MAKE) clean)
	(cd examples && $(MAKE) clean)
	rm -rf libdoc

test: clean all opt
	cd examples && $(MAKE) test

INSTALL=META src/syntax/sedlex.cma src/syntax/ppx_sedlex$(EXE) src/lib/sedlexing.cma src/lib/sedlexing.cmi

INSTALL_OPT=src/syntax/sedlex.cmxs src/syntax/sedlex$(EXT_LIB) src/syntax/sedlex.cmxa src/syntax/ppx_sedlex.opt$(EXE) src/lib/sedlexing.cmx src/lib/sedlexing$(EXT_LIB) src/lib/sedlexing.cmxa

install:
	ocamlfind install sedlex $(INSTALL) $(INSTALL_OPT)

install_byteonly:
	ocamlfind install sedlex $(INSTALL)

uninstall:
	ocamlfind remove sedlex

PACKAGE = sedlex-$(VERSION)
DISTRIB = \
  CHANGES LICENSE META README.md Makefile \
  examples/Makefile \
  examples/tokenizer.ml \
  src/lib/Makefile \
  src/lib/sedlexing.ml \
  src/lib/sedlexing.mli \
  src/syntax/Makefile \
  src/syntax/sedlex_cset.ml \
  src/syntax/sedlex_cset.mli \
  src/syntax/sedlex.ml \
  src/syntax/sedlex.mli \
  src/syntax/sedlex_ppx.ml \
  src/syntax/unicode63.ml \
  src/syntax/unicode63.mli


package: clean
	rm -rf sedlex.tar.gz
	tar czf sedlex.tar.gz $(DISTRIB)
	rm -Rf $(PACKAGE)
	mkdir $(PACKAGE)
	cd $(PACKAGE) && tar xzf ../sedlex.tar.gz
	tar czf $(PACKAGE).tar.gz $(PACKAGE)
	rm -Rf $(PACKAGE) sedlex.tar.gz


TARGET=foo:bar/sedlex_dara
upload:
	scp $(PACKAGE).tar.gz README CHANGES $(TARGET)/
	rsync -avz libdoc $(TARGET)

=== examples/Makefile ===
# The package sedlex is released under the terms of an MIT-like license.
# See the attached LICENSE file.
# Copyright 2005, 2013 by Alain Frisch and LexiFi.

include $(shell ocamlc -where)/Makefile.config

.PHONY: test
test: tokenizer$(EXE) complement$(EXE) subtraction$(EXE) repeat$(EXE)
	./tokenizer$(EXE)
	./complement$(EXE)
	./subtraction$(EXE)
	./repeat$(EXE)

tokenizer$(EXE): tokenizer.ml
	ocamlfind ocamlc -package gen -ppx "../src/syntax/ppx_sedlex$(EXE) --as-ppx" -I ../src/lib -o tokenizer$(EXE) -linkpkg sedlexing.cma tokenizer.ml

complement$(EXE): complement.ml
	ocamlfind ocamlc -package gen -ppx "../src/syntax/ppx_sedlex$(EXE) --as-ppx" -I ../src/lib -o complement$(EXE) -linkpkg sedlexing.cma complement.ml

subtraction$(EXE): subtraction.ml
	ocamlfind ocamlc -package gen -ppx "../src/syntax/ppx_sedlex$(EXE) --as-ppx" -I ../src/lib -o subtraction$(EXE) -linkpkg sedlexing.cma subtraction.ml

repeat$(EXE): repeat.ml
	ocamlfind ocamlc -package gen -ppx "../src/syntax/ppx_sedlex$(EXE) --as-ppx" -I ../src/lib -o repeat$(EXE) -linkpkg sedlexing.cma repeat.ml

.PHONY: with_driver
with_driver: tokenizer.ml
	ocamlfind ocamlc -package gen -ppx "ppx_driver ../src/syntax/sedlex.cma" -I ../src/lib -o tokenizer$(EXE) sedlexing.cma tokenizer.ml

.PHONY: with_findlib
with_findlib: tokenizer.ml
	ocamlfind ocamlc -c -package sedlex -package gen tokenizer.ml
	ocamlfind ocamlc -o tokenizer$(EXE) -linkpkg -package sedlex -package gen tokenizer.cmo

clean:
	rm -f *~ *.cm* *.a *.lib *.o *.obj tokenizer$(EXE) complement$(EXE) subtraction$(EXE) repeat$(EXE)

=== src/lib/Makefile ===
# The package sedlex is released under the terms of an MIT-like license.
# See the attached LICENSE file.
# Copyright 2005, 2013 by Alain Frisch and LexiFi.

MODS=sedlexing.cmo

all: sedlexing.cma
opt: sedlexing.cmxa

sedlexing.cma: $(MODS:.cmo=.mli) $(MODS:.cmo=.ml)
	ocamlfind ocamlc -package gen -w +A-4-9 -safe-string -c $(MODS:.cmo=.mli) $(MODS:.cmo=.ml)
	ocamlfind ocamlc -package gen -a -o sedlexing.cma $(MODS)

sedlexing.cmxa: $(MODS:.cmo=.mli) $(MODS:.cmo=.ml)
	ocamlfind ocamlopt -package gen -safe-string -c $(MODS:.cmo=.mli) $(MODS:.cmo=.ml)
	ocamlfind ocamlopt -package gen -a -o sedlexing.cmxa $(MODS:.cmo=.cmx)

doc:
	rm -rf ../../libdoc
	mkdir ../../libdoc
	ocamlfind ocamldoc -package gen -html sedlexing.mli -d ../../libdoc



clean:
	rm -f *~ *.cm* *.a *.lib *.exe *.o *.obj

=== src/syntax/Makefile ===
# The package sedlex is released under the terms of an MIT-like license.
# See the attached LICENSE file.
# Copyright 2005, 2013 by Alain Frisch and LexiFi.

include $(shell ocamlc -where)/Makefile.config

SRCS=sedlex_cset.mli sedlex_cset.ml unicode63.mli unicode63.ml sedlex.mli sedlex.ml ppx_sedlex.ml

OCAMLC=ocamlfind ocamlc
OCAMLOPT=ocamlfind ocamlopt
PACKAGES=-package ppx_tools_versioned.metaquot_405 -package ocaml-migrate-parsetree
OCAMLFLAGS=$(PACKAGES) -linkall -w +A-4-9-42 -annot

all: ppx_sedlex$(EXE) sedlex.cma
opt: ppx_sedlex.opt$(EXE) sedlex.cmxa sedlex.cmxs

sedlex.cma: $(SRCS)
	$(OCAMLC) $(OCAMLFLAGS) -a -o sedlex.cma $(SRCS)

sedlex.cmxa: $(SRCS)
	$(OCAMLOPT) $(OCAMLFLAGS) -a -o sedlex.cmxa $(SRCS)

sedlex.cmxs: $(SRCS)
	$(OCAMLOPT) $(OCAMLFLAGS) -shared -o sedlex.cmxs $(SRCS)

# We need the ocaml-migrate-parsetree.driver-main.cm{,x}a library to come last
# on the command-line when linking, since its initialization code must run
# *after* the one of sedlex.cm{,x}a. To ensure that this is the case, we
# manually pass its file to ocaml{c,opt}, as normally ocamlfind links in all the
# -package libraries *before* user code.

MIGRATE_PARSETREE_MAIN_BYTE= \
  $(shell ocamlfind query -predicates byte -a-format ocaml-migrate-parsetree.driver-main)
MIGRATE_PARSETREE_MAIN_NATIVE= \
  $(shell ocamlfind query -predicates native -a-format ocaml-migrate-parsetree.driver-main)

ppx_sedlex$(EXE): sedlex.cma
	$(OCAMLC) \
		-predicates ppx_driver \
		-o $@ -linkpkg -linkall \
		-package ppx_tools_versioned \
		$< \
		$(MIGRATE_PARSETREE_MAIN_BYTE)

ppx_sedlex.opt$(EXE): sedlex.cmxa
	$(OCAMLOPT) \
		-predicates ppx_driver \
		-o $@ -linkpkg -linkall \
		-package ppx_tools_versioned \
		$< \
		$(MIGRATE_PARSETREE_MAIN_NATIVE)

clean:
	rm -f *~ *.cm* *.a *.lib *.o *.obj *.annot ppx_sedlex$(EXE) ppx_sedlex.opt$(EXE)

=== debian/changelog ===
ocaml-sedlex (1.99.4-2) unstable; urgency=medium

  * Add ppx_tools_versioned-521.patch that fixes compatibility with
    ppx_tools_versioned 5.2.1.
  * Bump Standards-Version to 4.3.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Wed, 26 Dec 2018 15:48:38 +0800

ocaml-sedlex (1.99.4-1) unstable; urgency=low

  * Initial release. (Closes: #867238)

 -- Andy Li <andy@onthewings.net>  Mon, 06 Aug 2018 11:36:25 +0800

=== debian/control ===
Source: ocaml-sedlex
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.3.0
Build-Depends:
 debhelper (>= 10~),
 ocaml-nox (>= 4.02.0),
 libgen-ocaml-dev,
 libppx-tools-versioned-ocaml-dev,
 ocaml-findlib,
 dh-ocaml
Homepage: https://github.com/alainfrisch/sedlex
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sedlex
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sedlex.git

Package: libsedlex-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Unicode-friendly lexer generator for OCaml (Runtime library)
 A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.
 Contrary to ocamllex, lexer specifications for sedlex are embedded in regular
 OCaml source files.

Package: libsedlex-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Unicode-friendly lexer generator for OCaml (Development package)
 A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.
 Contrary to ocamllex, lexer specifications for sedlex are embedded in regular
 OCaml source files.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	dh_auto_install
else
	make install_byteonly DESTDIR=$(DESTDIR)
endif
	
	# ocaml-dangling-cmi
	cp src/lib/sedlexing.mli $(OCAMLFIND_DESTDIR)/sedlex/

override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	# the test target doesn't support parallel build
	dh_auto_test --no-parallel
else
	# the test requires ocamlopt
endif

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: test-examples
Depends: ocaml-nox, ocaml-findlib, @

## ocaml-sedlex 2.1

=== debian/changelog ===
ocaml-sedlex (2.1-5) unstable; urgency=high

  * Team upload
  * Tighten the dependency to ocaml-dune

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Feb 2020 07:19:22 +0100

ocaml-sedlex (2.1-4) unstable; urgency=medium

  * Team upload
  * Fix autopkgtests with dune 2.1.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jan 2020 07:19:05 +0100

ocaml-sedlex (2.1-3) unstable; urgency=medium

  * Rebuild against ocaml-gen (for armhf).

 -- Andy Li <andy@onthewings.net>  Tue, 12 Nov 2019 10:31:55 +0800

ocaml-sedlex (2.1-2) unstable; urgency=medium

  * Remove dependency on uchar. (#944404)

 -- Andy Li <andy@onthewings.net>  Sun, 10 Nov 2019 10:02:09 +0800

ocaml-sedlex (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove ppx_tools_versioned-521.patch, which is no longer needed.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 03 Nov 2019 09:42:00 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends:
  debhelper (>= 10~),
  ocaml-nox (>= 4.02.0),
+ ocaml-dune (>= 2),
  libgen-ocaml-dev,
  libppx-tools-versioned-ocaml-dev,
  ocaml-findlib,
@@ -37,6 +38,8 @@
  ${ocaml:Depends}
 Provides:
  ${ocaml:Provides}
+Breaks:
+ ocaml-dune (<< 2)
 Recommends: ocaml-findlib
 Description: Unicode-friendly lexer generator for OCaml (Development package)
  A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	dune build -p sedlex --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/META
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/dune-package
	sed -i 's/"uchar"//g' $(OCAMLFIND_DESTDIR)/sedlex/opam

override_dh_auto_test:
	dune build @runtest -p sedlex --verbose

# -lib is not available in the ocamldoc version as of writing (4.05)
override_dh_ocamldoc:
	[ ! "$$(ocamldoc --version)" \< "4.08.0" ] && dh_ocamldoc || echo "skip doc generation"

override_dh_missing:
	dh_missing --fail-missing

## ocaml-sedlex 2.2

=== debian/changelog ===
ocaml-sedlex (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 11:48:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10~),
- ocaml-nox (>= 4.02.0),
+ debhelper-compat (= 13),
+ ocaml-nox,
  ocaml-dune (>= 2),
  libgen-ocaml-dev,
- libppx-tools-versioned-ocaml-dev,
+ libppx-tools-versioned-ocaml-dev (>= 5.2.3),
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/alainfrisch/sedlex

=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,4 @@
 override_dh_ocamldoc:
 	[ ! "$$(ocamldoc --version)" \< "4.08.0" ] && dh_ocamldoc || echo "skip doc generation"
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

=== debian/watch ===
version=3
https://github.com/alainfrisch/sedlex/releases .*/archive/v(\d\S*)\.tar\.gz

## ocaml-sedlex 2.5

=== debian/changelog ===
ocaml-sedlex (2.5-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jan 2022 15:24:44 +0100

ocaml-sedlex (2.5-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Edward Betts ]
  * Upstream GitHub repo has moved, update URL.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 05:51:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune (>= 2),
  libgen-ocaml-dev,
- libppx-tools-versioned-ocaml-dev (>= 5.2.3),
+ libppxlib-ocaml-dev (>= 0.18.0),
  ocaml-findlib,
  dh-ocaml
-Homepage: https://github.com/alainfrisch/sedlex
+Homepage: https://github.com/ocaml-community/sedlex
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sedlex
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sedlex.git

=== debian/watch ===
version=4
https://github.com/ocaml-community/sedlex/releases .*/v?(\d\S*)\.tar\.gz

## ocaml-sedlex 3.0

=== debian/changelog ===
ocaml-sedlex (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/watch.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Oct 2022 08:28:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,3 @@
 
 override_dh_auto_test:
 	dune build @runtest -p sedlex --verbose
-
-# -lib is not available in the ocamldoc version as of writing (4.05)
-override_dh_ocamldoc:
-	[ ! "$$(ocamldoc --version)" \< "4.08.0" ] && dh_ocamldoc || echo "skip doc generation"
-
-override_dh_dwz:

=== debian/tests/control ===
Tests: test-examples
Depends: ocaml-nox, ocaml-findlib, ocaml-dune, @
Restrictions: allow-stderr

## ocaml-sedlex 3.2

=== debian/changelog ===
ocaml-sedlex (3.2-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 16:32:26 +0100

ocaml-sedlex (3.2-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:56:26 +0100

ocaml-sedlex (3.2-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 09:03:48 +0100

ocaml-sedlex (3.2-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 08:05:06 +0100

ocaml-sedlex (3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Oct 2023 14:46:26 +0200

ocaml-sedlex (3.0-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:38:41 +0200

ocaml-sedlex (3.0-2) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,8 +11,13 @@
  ocaml-dune (>= 2),
  libgen-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.18.0),
+ libppx-expect-ocaml-dev <!nocheck>,
+ libppx-hash-ocaml-dev <!nocheck>,
+ libppx-enumerate-ocaml-dev <!nocheck>,
+ libppx-sexp-conv-ocaml-dev <!nocheck>,
+ libjane-street-headers-ocaml-dev <!nocheck>,
  ocaml-findlib,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Homepage: https://github.com/ocaml-community/sedlex
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sedlex
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sedlex.git

## ocaml-sedlex 3.3

=== debian/changelog ===
ocaml-sedlex (3.3-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:58:12 +0100

ocaml-sedlex (3.3-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:15:57 +0100

ocaml-sedlex (3.3-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:18:57 +0100

ocaml-sedlex (3.3-2) unstable; urgency=medium

  * Team upload
  * Set minimum version of ocaml-dune in autopkgtests

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Jan 2025 07:35:34 +0100

ocaml-sedlex (3.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:34:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## ocaml-sedlex 3.4

=== debian/changelog ===
ocaml-sedlex (3.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2025 08:22:11 +0200

=== debian/watch ===
version=4
https://github.com/ocaml-community/sedlex/tags .*/v?(\d\S*)\.tar\.gz

## ocaml-sedlex 3.6

=== debian/changelog ===
ocaml-sedlex (3.6-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 15:00:00 +0200

ocaml-sedlex (3.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:19:22 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_install:
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/META
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/dune-package
	sed -i 's/"uchar"//g' $(OCAMLFIND_DESTDIR)/sedlex/opam

## ocaml-sedlex 3.7

=== Makefile ===
# The package sedlex is released under the terms of an MIT-like license.
# See the attached LICENSE file.
# Copyright 2005, 2013 by Alain Frisch and LexiFi.

INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: build install uninstall clean doc test all

build:
	dune build @install

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

clean:
	dune clean

doc:
	dune build @doc

test:
	dune build @runtest

all: build test doc

=== debian/changelog ===
ocaml-sedlex (3.7-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:46:20 +0200

ocaml-sedlex (3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Oct 2025 09:32:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,

=== debian/watch ===
Version: 5

Source: https://github.com/ocaml-community/sedlex/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
